Bug 509218 - leafnode is not IPV6 aware
leafnode is not IPV6 aware
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: leafnode (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 15:25 EDT by Piergiorgio Sartor
Modified: 2009-07-22 17:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.11.7-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 17:45:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piergiorgio Sartor 2009-07-01 15:25:07 EDT
Description of problem:
Current F-11 setup seems to configure "lo" (127.0.0.1) to use IPV4 and IPV6, but, somehow, a connection to "leafnode", via "xinetd", seems to use IPV6, which is not supported by "leafnode".

Version-Release number of selected component (if applicable):
leafnode-1.11.6-5.fc11

How reproducible:
Always

Steps to Reproduce:
1.
Install "leafnode" and enable it in /etc/xinetd.d/leafnode
2.
Connect to 127.0.0.1 port 119
  
Actual results:
...
... leafnode[4731]: connect from 0.0.0.0 (0.0.0.0) to 0.0.0.0 (0.0.0.0) ...
... leafnode[4731]: Denying access from address outside the local networks. (Check config.example.)
...

Expected results:
...
... leafnode[4783]: connect from localhost (127.0.0.1) to localhost (127.0.0.1) ...

Additional info:
Solution to the problem is pretty simple. The /etc/xinetd.d/leafnode file should have a further line:

flags = IPV4

Other option is to enable "allowstrangers" in /etc/leafnode/config, but this seems a bit an overkill.

So, please, if possible, could you update the package in order to add the "flags" statement in the /etc/xinetd.d/leafnode configuration file?

Thanks a lot in advance,

piergiorgio
Comment 1 Kevin Fenzi 2009-07-03 19:50:36 EDT
Thanks for the report!

Will look at adding that flag. I agree that allowstrangers is overkill...
Comment 2 Fedora Update System 2009-07-03 20:18:47 EDT
leafnode-1.11.7-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/leafnode-1.11.7-2.fc11
Comment 3 Kevin Fenzi 2009-07-03 20:21:18 EDT
Can you try the test package in comment #2? 
if it works, add karma there and/or let me know here?
Comment 4 Piergiorgio Sartor 2009-07-04 04:48:13 EDT
Well, I dowloaded:

leafnode-1.11.7-2.fc11.i586.rpm
leafnode-1.11.7-2.fc11.x86_64.rpm
leafnode-1.11.7-2.fc11.src.rpm

The first two do not have the IPV4 flag in /etc/xinetd.d/leafnode, while the third one has it.

I guess something when wrong in the build of the package.

Hope this helps,

piergiorgio
Comment 5 Kevin Fenzi 2009-07-05 23:58:34 EDT
Oops. I patched the wrong file there. ;( 

Looking closely however, I see there IS ipv6 support, it's just not enabled unless you pass a '--with-ipv6' to configure. 

Can you try this scratch build and see if it solves your problem: 

http://koji.fedoraproject.org/koji/taskinfo?taskID=1455796
Comment 6 Piergiorgio Sartor 2009-07-06 14:51:47 EDT
This one seems to work in IPV6 mode, if fact I get:

... leafnode[3115]: connect from localhost (::1) to localhost (::1) ...

So, it seems OK.

Only one note. Neither /etc/xineted.d/leafnode nor /etc/leafnode/config where replaced or created as *.rpmnew.

The previous install (leafnode-1.11.6-5.fc11) was creating both as *.rpmnew.

It could be some more tuning is needed.

Hope this helps,

piergiorgio
Comment 7 Kevin Fenzi 2009-07-06 22:56:58 EDT
The config not changing is expected. It doesn't need to make any change there, it's just adding ipv6 support to the binary. ;) 

I will push out a new testing update asap. ;)
Comment 8 Fedora Update System 2009-07-06 23:21:01 EDT
leafnode-1.11.7-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/leafnode-1.11.7-3.fc11
Comment 9 Piergiorgio Sartor 2009-07-07 02:09:43 EDT
I just noticed the status is "needinfo".

Which information is needed? I cannot see it.

piergiorgio
Comment 10 Kevin Fenzi 2009-07-07 02:19:21 EDT
Sorry about that, must have hit it by accident. ;) 

If you want to test again and add karma to the updates link feel free to do so. 

Thanks again for this report.
Comment 11 Fedora Update System 2009-07-11 13:33:34 EDT
leafnode-1.11.7-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update leafnode'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7534
Comment 12 Fedora Update System 2009-07-22 17:45:13 EDT
leafnode-1.11.7-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.